<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>


<c:if test="${ sucess == false }">
	<div class="errors-action"><html:errors property="errorInfo" bundle="Errors"/></div>
</c:if>

<h2 >
	<bean:message key="signin.form.title" bundle="Auth"/>
	<img id="ImagenHome" class="ImagenHome" title="Icono de Login" alt="Imagen de Login" align="bottom" src="res/img/icon/icon_loginUser.png"/>
</h2>

<html:form action="/auth">

	<table border="0" cellspacing="0" cellpadding="5" style="width: 976px;">
		<tr>
			<th width="210">
				<label for="login"><bean:message key="signin.form.login" bundle="Auth"/></label>
			</th>
			<td width="210">
				<html:text property="login" styleId="login" styleClass="text" size="30" maxlength="20" style="width: 200px;"/>
				<div class="errors">
					<html:errors property="Login" bundle="Errors"/>
				</div>
			</td>
			<td width="207" class="explain">
				<bean:message key="signin.form.login.explain" bundle="Auth"/>
			</td>
			<td width="349" rowspan="3">
				<img id="ImagenProyecto" class="ImagenProyecto" title="Imagen de un Proyecto" alt="image"	width="349" height="213" 
				 src="res/img/home/proyecto.png"/>
			</td>
		</tr>
		<tr>
			<th width="210">
				<label for="password"><bean:message key="signin.form.password" bundle="Auth"/></label>
			</th>
			<td width="210">
				<html:password property="password" styleId="password" styleClass="text" size="30" maxlength="20" style="width: 200px;"/>
				<div class="errors">
					<html:errors property="Password" bundle="Errors"/>
				</div>
			<td width="207" class="explain">
				<bean:message key="signin.form.password.explain" bundle="Auth"/>
			</td>
		</tr>
		<tr>
			<td width="300">
				<bean:message key="signin.form.problems.options" bundle="Auth"/>
			</td>
			<td width="210" class="no-bdr buttons" colspan="2">
				<html:submit styleClass="button first"><bean:message key="signin.form.submit" bundle="Auth"/></html:submit>
			</td>
		</tr>
		<tr>
			<td class="description-aplication" colspan="4">
			<div id="home-fetures">
				<p><bean:message key="home.text.1" bundle="Auth"/></p>
				<p><bean:message key="home.text.2" bundle="Auth"/></p>

				<ul>
					<li><bean:message key="home.features.1" bundle="Auth"/></li>
					<li><bean:message key="home.features.2" bundle="Auth"/></li>
					<li><bean:message key="home.features.3" bundle="Auth"/></li>
					<li><bean:message key="home.features.4" bundle="Auth"/></li>
					<li><bean:message key="home.features.5" bundle="Auth"/></li>
					<li><bean:message key="home.features.6" bundle="Auth"/></li>
					<li><bean:message key="home.features.7" bundle="Auth"/></li>
					<li><bean:message key="home.features.8" bundle="Auth"/></li>
				</ul>
			</div>
			</td>
		</tr>
	</table>
	<html:hidden property="cmd" value="signin"/>
</html:form>
		

	

		
