<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<c:choose>
	<%-- ACCIONES DEL MENU DE ADMINISTRADORES --%>
	<c:when test="${ (param.opt == 'admin') and (userInfo.type == 'Administrador') }">
		<jsp:include page="/WEB-INF/pages/users/admin/AdminWorkArea.jsp"/>
	</c:when>
	
	<%-- ACCIONES DEL MENU DE USUARIO AVANZADO --%>
	<c:when test="${ (param.opt == 'advan') and (userInfo.type == 'Avanzado') }">
		<jsp:include page="/WEB-INF/pages/users/advanced/AdvanWorkArea.jsp"/>
	</c:when>
	
	<%-- POR DEFECTO: MOSTRAR EL ESCRITORIO NORMAL --%>
	<c:otherwise>
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/normal/NormalWorkArea.jsp"/>
		</tiles:insert>
	</c:otherwise>
	
</c:choose>