<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<c:choose>
	<%-- ======================================================================== --%>
	<%--				MODULO DE GESTION USUARIOS       						  --%>
	<%-- ======================================================================== --%>
	<%-- REGISTRO DE UN USUARIO --%>
	<c:when test="${ param.page == 'UserNew' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/user/UserNew.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- CONSULTA DE UN USUARIO --%>
	<c:when test="${ param.page == 'UserInfo' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/user/UserInfo.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- MODIFICACIN DE UN USUARIO --%>
	<c:when test="${ param.page == 'UserModif' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/user/UserModif.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- ELIMINACION DE  UN USUARIO --%>
	<c:when test="${ param.page == 'UserDelete' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/user/UserDelete.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- LISTA DE  UN USUARIO --%>
	<c:when test="${ param.page == 'UserList' }">
	
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/user/UserList.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- ======================================================================== --%>
	<%--				MODULO DE GESTION DE CONFIGURACION 						  --%>
	<%-- ======================================================================== --%>
	<%-- CONSULTA DE UN PARAMETRO --%>
	<c:when test="${ param.page == 'ConfigInfo' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/config/ConfigInfo.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- MODIFICACIN DE UN PARAMETRO --%>
	<c:when test="${ param.page == 'ConfigModif' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/config/ConfigModif.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- LISTA DE  UN PARAMETRO --%>
	<c:when test="${ param.page == 'ConfigList' }">
	
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/config/ConfigList.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- ======================================================================== --%>
	<%--				MODULO DE GESTION PROYECTOS       						  --%>
	<%-- ======================================================================== --%>
	<%-- REGISTRO DE UN PROYECTO --%>
	<c:when test="${ param.page == 'ProjectNew' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/ProjectNew.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- CONSULTA DE UN PROYECTO --%>
	<c:when test="${ param.page == 'ProjectInfo' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/ProjectInfo.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- MODIFICACIN DE UN PROYECTO --%>
	<c:when test="${ param.page == 'ProjectModif' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/ProjectModif.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- ELIMINACION DE  UN PROYECTO --%>
	<c:when test="${ param.page == 'ProjectDelete' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/ProjectDelete.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- LISTA DE  UN PROYECTO --%>
	<c:when test="${ param.page == 'ProjectList' }">
	
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/ProjectList.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- DEFINIR UN ROL EN UN PROYECTO --%>
	<c:when test="${ param.page == 'RolNew' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/rol/RolNew.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- MODIFICACIN DE UN ROL EN UN PROYECTO --%>
	<c:when test="${ param.page == 'RolModif' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/rol/RolModif.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- ELIMINACION DE  UN ROL EN UN PROYECTO --%>
	<c:when test="${ param.page == 'RolDelete' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/rol/RolDelete.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- LISTA DE  ROLES DE UN PROYECTO --%>
	<c:when test="${ param.page == 'RolList' }">
	
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/rol/RolList.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- DEFINIR UN ESTADO EN UN PROYECTO --%>
	<c:when test="${ param.page == 'StateNew' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/state/StateNew.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- MODIFICACIN DE UN ESTADO EN UN PROYECTO --%>
	<c:when test="${ param.page == 'StateModif' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/state/StateModif.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- ELIMINACION DE  UN ESTADO EN UN PROYECTO --%>
	<c:when test="${ param.page == 'StateDelete' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/state/StateDelete.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- LISTA DE  ESTADOS DE UN PROYECTO --%>
	<c:when test="${ param.page == 'StateList' }">
	
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/state/StateList.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- DEFINIR UN WORKFLOW EN UN PROYECTO --%>
	<c:when test="${ param.page == 'WorkFlowNew' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/workflow/WorkFlowNew.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- ELIMINACION DE  UN WORKFLOW EN UN PROYECTO --%>
	<c:when test="${ param.page == 'WorkFlowDelete' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/workflow/WorkFlowDelete.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- LISTA DE  WORKFLOWS DE UN PROYECTO --%>
	<c:when test="${ param.page == 'WorkFlowList' }">
	
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/workflow/WorkFlowList.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- DEFINIR UN WORKFLOW-STATE EN UN PROYECTO --%>
	<c:when test="${ param.page == 'WorkFlowStateNew' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/workflow/states/WorkFlowStateNew.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- ELIMINACION DE  UN WORKFLOW-STATE EN UN PROYECTO --%>
	<c:when test="${ param.page == 'WorkFlowStateDelete' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/workflow/states/WorkFlowStateDelete.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- LISTA DE  WORKFLOW-STATES DE UN PROYECTO --%>
	<c:when test="${ param.page == 'WorkFlowStateList' }">
	
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/workflow/states/WorkFlowStateList.jsp"/>
		</tiles:insert>
	</c:when>
	<%-- DEFINIR UN USER-ROL EN UN PROYECTO --%>
	<c:when test="${ param.page == 'UserRolNew' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/userRol/UserRolNew.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- ELIMINACION DE  UN USER-ROL EN UN PROYECTO --%>
	<c:when test="${ param.page == 'UserRolDelete' }">
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/userRol/UserRolDelete.jsp"/>
		</tiles:insert>			
	</c:when>
	<%-- LISTA DE UN USER-ROL DE UN PROYECTO --%>
	<c:when test="${ param.page == 'UserRolList' }">
	
		<c:set var="layout" scope="request">_nil_</c:set>
		<tiles:insert definition="layout">
			<tiles:put name="content" value="/WEB-INF/pages/users/admin/project/userRol/UserRolList.jsp"/>
		</tiles:insert>
	</c:when>
</c:choose>