<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<script type="text/javascript">
	function deleteRolProject(idproject, idrol)
	{
		if (confirm('<bean:message key="rol.delete.confirm" bundle="Project"/>'))
		{
			window.location.href = 'projectRol.do?cmd=deleteRolProject&idproject=' + idproject + '&id=' + idrol;
		}
	}
</script>

<c:choose>
	<c:when test="${ sucess == 'deleteRolProject' }">
		<div class="ok-form">
			<bean:message key="rol.delete.confirm.ok" bundle="Project"/>
		</div>
	</c:when>
</c:choose>

<c:if test="${ fail != null  }">
	<div class="errors-form">
		<bean:message key="${fail}" bundle="Errors"/>
	</div>	
</c:if>

<c:set var="numRol">${ fn:length(listRol) }
</c:set>

<div class="info_project">
		<h1></h1>
		<table id="project" border="0" width="80%" cellspacing="0" cellpadding="2" style="clear: both;">
			<tr>
				<td width="200">
					<b><bean:message key="project.form.prefix_code" bundle="Project"/>:</b>
				</td>
				<td>
					${project.prefix_code}
				</td>
			</tr>
			<tr>
				<td width="200">
					<b><bean:message key="project.form.name" bundle="Project"/>:</b>
				</td>
				<td>
					${project.name}
				</td>
			</tr>
		</table>
</div>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="projectRol.do?cmd=createRolProject&id=${project.id}"  class="add">
				<bean:message key="project.createRolProject" bundle="Project"/>
			</a> 
		</div>
		<h1>
			<bean:message key="project.rols.title" bundle="Project"/>
		</h1>
	</div>
	<div class="content">
		<table id="distribuir" width="100%">
			<tr>
			<td>
			<table  id="data" border="0" width="80%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left">
					<bean:message key="project.listRol.table.row.1.th.1" bundle="Project"/>
				</th>
				<th colspan="1" class="right">
					<bean:message key="project.listRol.table.row.1.th.2" bundle="Project"/>: <c:out value="${numRol}"/>
				</th>
			</tr>
			<tr>
				<td class="subtitle left br"><bean:message key="project.listRol.table.row.2.th.1" bundle="Project"/></td>
				<td class="subtitle">        <bean:message key="project.listRol.table.row.2.th.2" bundle="Project"/></td>
			</tr>
			<c:forEach var="rol" items="${listRol}">
			<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
				<td class="left br">${ rol.name }</td>
				<td style="padding-top: 7px;">
					<nobr>
					<a class="modify" href="projectRol.do?cmd=getRolProjectModif&idproject=${rol.idproject}&idrol=${rol.id}">
						<bean:message key="rol.action.modify" bundle="Project"/>
					</a> | 
					<a href="javascript: deleteRolProject(${rol.idproject} , ${rol.id})" class="delete">
						<bean:message key="rol.action.delete" bundle="Project"/>
					</a>
					</nobr>
				</td>
			</tr>
			</c:forEach>
			</table>			
			</td>
			<td class="left">
					
					<div><b><bean:message key="project.listProject.table.row.2.th.3" bundle="Project"/></b></div>
					<div>
					</br>
					<a class="roles">
						<bean:message key="project.action.listRol" bundle="Project"/>
					</a></div>
					<div>
					</br>
					<a class="states" href="projectRol.do?cmd=listStateProject&id=${ project.id}">
						<bean:message key="project.action.listState" bundle="Project"/>
					</a></div>
					<div>
					</br>
					<a class="workflows" href="projectRol.do?cmd=listWorkFlowProject&id=${ project.id}">
						<bean:message key="project.action.listWorkFLow" bundle="Project"/>
					</a></div>
					<div>
					</br>
					<a class="users" href="projectRol.do?cmd=listUserRolProject&id=${ project.id}">
						<bean:message key="project.action.listUserRol" bundle="Project"/>
					</a></div>  
			</td>
			</tr>
		</table>
	
	
	
	
		
		
	</div>
	<c:if test="${ numRol eq 0  }">
		<div class="errors-form" style="margin-top: 20px;"><bean:message key="project.listRol.empty" bundle="Project"/></div>
	</c:if>
</div>