<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<div class="hform">
	<h1><bean:message key="user.delete.title" bundle="User"/></h1>
	
	<c:if test="${ fail != null  }">
		<div class="errors-form">
			<bean:message key="${fail}" bundle="Errors"/>
		</div>	
	</c:if>
	
	<c:choose>
		<c:when test="${ sucess == true }">
		<div class="ok-form">
			<bean:message key="user.delete.ok.text1" bundle="User"/> <br/>
			<bean:message key="user.delete.ok.text2" bundle="User"/>
		</div>
		</c:when>
		<c:otherwise>
			<c:set var="submit" scope="request">user.delete.submit</c:set>
			<c:set var="delete" scope="request">true</c:set>
			<html:form action="/user" onsubmit="return confirm('Eliminar Registro de Usuario?');">
				<jsp:include page="/WEB-INF/pages/users/admin/user/UserForm.jsp"/>		
				<html:hidden property="cmd"  value="deleteUser"/>
				<html:hidden property="login"/>
				<html:hidden property="id"/>
				<html:hidden property="filtroLogin"/>
				<html:hidden property="filtroName"/>
				<html:hidden property="filtroCompany"/>
				<html:hidden property="filtroEmail"/>
				<html:hidden property="filtroType"/>
			</html:form>
		</c:otherwise>
	</c:choose>
</div>