<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<script type="text/javascript">
	function listUser()
	{
		window.location.href = 'user.do?cmd=listUser';
	}

</script>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th width="200">
		<label for="login">
			<bean:message key="user.form.login" bundle="User"/>
		</label>:
	</th>
	<c:choose>
		<c:when test="${ modify == true  || consult == true || delete == true }">
			<td><b>${ AFUser.login }</b></td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td>
				<html:text property="login" styleId="login" styleClass="text" size="20" maxlength="20" style="width:350px;"/>
				<div class="errors">
					<html:errors property="login" bundle="Errors"/>
				</div>
			</td>
			<td class="explain" width="350">
				<bean:message key="user.form.login.explain" bundle="User"/>
			</td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200">
		<label for="password">
			<bean:message key="user.form.password" bundle="User"/>
		</label>:
	</th>
	<c:choose>
		<c:when test="${consult == true || delete == true}">
			<td><b>******</b></td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td>
				<html:password property="password" styleId="password" styleClass="text" size="20" maxlength="20" style="width:350px;"/>
				<div class="errors">
					<html:errors property="password" bundle="Errors"/>
				</div>
			</td>
			<td class="explain" width="350">
				<bean:message key="user.form.password.explain" bundle="User"/>
			</td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200">
		<label for="name">
			<bean:message key="user.form.name" bundle="User"/>
		</label>:
	</th>
	<c:choose>
		<c:when test="${consult == true || delete == true}">
			<td><b>${ AFUser.name }</b></td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td>
				<html:text property="name" styleId="name" styleClass="text" size="20" maxlength="60" style="width:350px;"/>
				<div class="errors">
					<html:errors property="name" bundle="Errors"/>
				</div>
			</td>
			<td class="explain" width="350">
				<bean:message key="user.form.name.explain" bundle="User"/>
			</td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200">
		<label for="company">
			<bean:message key="user.form.company" bundle="User"/>
		</label>:
	</th>
	<c:choose>
		<c:when test="${consult == true || delete == true}">
			<td><b>${ AFUser.company }</b></td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td>
				<html:text property="company" styleId="company" styleClass="text" size="20" maxlength="50" style="width:350px;"/>
				<div class="errors">
					<html:errors property="company" bundle="Errors"/>
				</div>
			</td>
			<td class="explain" width="350">
				<bean:message key="user.form.company.explain" bundle="User"/>
			</td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200">
		<label for="email">
			<bean:message key="user.form.email" bundle="User"/>
		</label>:
	</th>
	<c:choose>
		<c:when test="${consult == true || delete == true}">
			<td><b>${ AFUser.email }</b></td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
	
			<td>
				<html:text property="email" styleId="email" styleClass="text" size="20" maxlength="50" style="width:350px;"/>
				<div class="errors">
					<html:errors property="email" bundle="Errors"/>
				</div>
			</td>
			<td class="explain" width="350">
					<bean:message key="user.form.email.explain" bundle="User"/>
			</td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200">
		<label for="locked">
				<bean:message key="user.form.locked" bundle="User"/>
		</label>:
	</th>
	<c:choose>
		<c:when test="${consult == true || delete == true}">
			<td><b>
				<c:choose>
					<c:when test="${ AFUser.locked == true  }">
						<bean:message key="user.form.type.value.1" bundle="User"/>
					</c:when>
					<c:otherwise>
						<bean:message key="user.form.type.value.2" bundle="User"/>
					</c:otherwise>
				</c:choose></b>
			</td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td>
				<html:checkbox property="locked" value="true" styleId="locked"/>&nbsp;&nbsp;
				<bean:message key="user.form.type.locked" bundle="User"/>
			</td>
		 	<td class="explain" width="350">
				<bean:message key="user.form.locked.explain" bundle="User"/>
			</td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200">
		<label for="type">
			<bean:message key="user.form.type" bundle="User"/>
		</label>
	</th>
	<c:choose>
		<c:when test="${consult == true || delete == true}">
			<td><b>${ AFUser.type }</b></td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td>
				<!-- No se permite ms de un usuario administrador en el Sistema.  
				<html:radio property="type" value="Administrador" styleId="typeAdmin"/>&nbsp;&nbsp;<bean:message key="user.form.type.admin" bundle="User"/>&nbsp;&nbsp;
				-->
				<html:radio property="type" value="Avanzado"      styleId="typeAvanz"/>&nbsp;&nbsp;<bean:message key="user.form.type.avanz" bundle="User"/>&nbsp;&nbsp;
				<html:radio property="type" value="Normal"        styleId="typeNorma"/>&nbsp;&nbsp;<bean:message key="user.form.type.norma" bundle="User"/>&nbsp;&nbsp;
				<div class="errors">
					<html:errors property="type" bundle="Errors"/>
				</div>
			</td>
			<td class="explain" width="350">
				<bean:message key="user.form.type.explain" bundle="User"/>
			</td>
		</c:otherwise>
	</c:choose>
</tr>
<c:choose>
	<c:when test="${consult == true || delete == true }">
	<tr>
		<th width="200">
			<label for="last_login">
				<bean:message key="user.form.last_login" bundle="User"/>
			</label>
		</th>
		<td><b>${ AFUser.last_login }</b></td>
		<td class="explain" width="350">&nbsp;</td>
	</tr>
	</c:when>
</c:choose>

</table>

<table border="0" width="100%" cellspacing="0" cellpadding="5">
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="User"/>"/>
		<c:if test="${ consult != true  }">
			<input type="button" class="button" value="<bean:message key="user.consult.submit" bundle="User"/>" style="margin-left: 5px;" 
			   onClick="listUser()"/>
		</c:if>
	</td>
</tr>
</table>
<script type="text/javascript">
	<c:choose>
		<c:when test="${ AFUser.locked == true }">
			$('#locked').attr('checked', true);
		</c:when>
		<c:otherwise>
			$('#locked').attr('checked', false);
		</c:otherwise>
	</c:choose>
</script>