<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<script type="text/javascript">
	function deleteUser(id)
	{
		if (confirm('<bean:message key="user.delete.confirm" bundle="User"/>'))
		{
			window.location.href = 'user.do?cmd=deleteUser&id=' + id;
		}
	}
	function unlockUser(id)
	{
		if (confirm('<bean:message key="user.unlock.confirm" bundle="User"/>'))
		{
			window.location.href = 'user.do?cmd=unlockUser&id=' + id;
		}
	}
	function refresListUser()
	{
		window.location.href = 'user.do?cmd=listUser&filter=yes';
	}
</script>

<c:choose>
	<c:when test="${ sucess     == 'unlockUser' }">
		<div class="ok-form">
			<bean:message key="user.unlock.confirm.ok" bundle="User"/> 
		</div>
	</c:when>
	<c:when test="${ sucess     == 'deleteUser' }">
		<div class="ok-form">
			<bean:message key="user.delete.confirm.ok" bundle="User"/>
		</div>
	</c:when>
		<c:when test="${ sucess == 'emailDatUser' }">
		<div class="ok-form">
			<bean:message key="user.email.confirm.ok" bundle="User"/>
		</div>
	</c:when>
</c:choose>

<c:if test="${ fail != null  }">
	<div class="errors-form">
		<bean:message key="${fail}" bundle="Errors"/>
	</div>	
</c:if>

<c:set var="numUser">${ fn:length(listUser) }
</c:set>


<div class="search">
		<h1>
			<bean:message key="user.users.title.search" bundle="User"/>
		</h1>
		
		<html:form action="/user">
		<table id="search" border="0" width="80%" cellspacing="0" cellpadding="2" style="clear: both;">
			<tr>
				<td width="200">
					<label for="login"><bean:message key="user.form.login" bundle="User"/></label>:
				</td>
				<td>
					<html:text property="filtroLogin" styleId="login" styleClass="text" size="20" maxlength="20" style="width:150px;"/>
				</td>
				<td width="200">
					<label for="name"><bean:message key="user.form.name" bundle="User"/></label>:
				</td>
				<td>
					<html:text property="filtroName" styleId="name" styleClass="text" size="20" maxlength="60" style="width:150px;"/>
				</td>
			</tr>
			<tr>
				<td width="200">
					<label for="company"><bean:message key="user.form.company" bundle="User"/></label>:
				</td>
				<td>
					<html:text property="filtroCompany" styleId="company" styleClass="text" size="20" maxlength="50" style="width:150px;"/>
				</td>
				<td width="200">
					<label for="email"><bean:message key="user.form.email" bundle="User"/></label>:
				</td>
				<td>
					<html:text property="filtroEmail" styleId="email" styleClass="text" size="20" maxlength="20" style="width:150px;"/>
				</td>
			</tr>
			<tr>
				<td width="200">
					<label for="type"><bean:message key="user.form.type" bundle="User"/></label>
				</td>
				<td colspan="3">
					<html:radio property="filtroType" value="Administrador" styleId="typeAdmin"/>&nbsp;&nbsp;<bean:message key="user.form.type.admin" bundle="User"/>&nbsp;&nbsp;
					<html:radio property="filtroType" value="Avanzado"      styleId="typeAvanz"/>&nbsp;&nbsp;<bean:message key="user.form.type.avanz" bundle="User"/>&nbsp;&nbsp;
					<html:radio property="filtroType" value="Normal"        styleId="typeNorma"/>&nbsp;&nbsp;<bean:message key="user.form.type.norma" bundle="User"/>&nbsp;&nbsp;
				</td>
			</tr>
			<tr>
				<td class="no-bdr buttons" colspan="4">
					<input type="submit" class="button first" value="<bean:message key="user.listUser.filter" bundle="User"/>"/>
					<input type="button" class="button" value="<bean:message key="user.listUser.reset" bundle="User"/>" style="margin-left: 10px;" 
			   			onclick="$(':input[type=text]').val('');$('.errors').hide();$('#type').attr('checked', false);refresListUser();"/>
				</td>
			</tr>
		</table>
		<html:hidden property="cmd" value="listUser"/>
		<html:hidden property="id"/>
		<html:hidden property="filter" value="yes"/>
		</html:form>
		
</div>
<div class="widget">
	<div class="title">
		<div class="links">
			<a href="index.jsp?opt=admin&page=UserNew" class="add_user">
				<bean:message key="user.createUser" bundle="User"/>
			</a> 
		</div>
		<h1>
			<bean:message key="user.users.title" bundle="User"/>
		</h1>
	</div>
	
	<div class="content">
		<table  id="data" border="0" width="100%" cellspacing="0" cellpadding="5">
		<tr>
			<th colspan="6" class="left">
				<bean:message key="user.listUser.table.row.1.th.1" bundle="User"/>
			</th>
			<th colspan="2" class="right">
				<bean:message key="user.listUser.table.row.1.th.2" bundle="User"/>: <c:out value="${numUser}"/>
			</th>
		</tr>
		<tr>
			<td class="subtitle left br"><bean:message key="user.listUser.table.row.2.th.1" bundle="User"/></td>
			<td class="subtitle left br"><bean:message key="user.listUser.table.row.2.th.2" bundle="User"/></td>
			<td class="subtitle br">     <bean:message key="user.listUser.table.row.2.th.3" bundle="User"/></td>
			<td class="subtitle br">     <bean:message key="user.listUser.table.row.2.th.4" bundle="User"/></td>
			<td class="subtitle br">     <bean:message key="user.listUser.table.row.2.th.5" bundle="User"/></td>
			<td class="subtitle br">     <bean:message key="user.listUser.table.row.2.th.6" bundle="User"/></td>
			<td class="subtitle">        <bean:message key="user.listUser.table.row.2.th.7" bundle="User"/></td>
		</tr>
		<c:forEach var="user" items="${listUser}">
			<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
				<td class="left br">${ user.login }</td>
				<td class="left br">${ user.name }</td>
				<td class="left br">${ user.company }</td>
				<td class="left br">${ user.email }</td>
				<td class="left br">${ user.type }</td>
				<td class="left br" style="padding-left: 10px; padding-top:7px;">
					<c:choose>
						<c:when test="${ user.locked == true  }">
							<a href="javascript: unlockUser(${ user.id })" class="unlock">
								<bean:message key="user.listUser.activate" bundle="User"/>
							</a>
						</c:when>
						<c:otherwise>
							<a href="javascript: unlockUser(${ user.id })" class="lock">
								<bean:message key="user.listUser.block" bundle="User"/>
							</a>
						</c:otherwise>
					</c:choose>
				</td>
				<td style="padding-top: 7px;">
					<nobr>
					<a class="consult_user" href="user.do?cmd=getUser&id=${ user.id}">
						<bean:message key="user.action.consult" bundle="User"/>
					</a> | 
					<a class="modify_user" href="user.do?cmd=getUserModif&id=${ user.id}">
						<bean:message key="user.action.modify" bundle="User"/>
					</a> | 
					<a class="delete_user" href="user.do?cmd=getUserDelete&id=${ user.id}">
						<bean:message key="user.action.delete" bundle="User"/>
					</a> | 
					<a class="email_user" href="user.do?cmd=emailDatUser&id=${ user.id}">
						<bean:message key="user.action.email" bundle="User"/>
					</a>
					</nobr>
				</td>
			</tr>
		</c:forEach>
		</table>
	</div>
	<c:if test="${ numUser eq 0  }">
		<div class="errors-form" style="margin-top: 20px;"><bean:message key="user.listUser.empty" bundle="User"/></div>
	</c:if>
</div>