<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>


<c:set var="numRol">${ fn:length(listRol) }
</c:set>

<c:set var="numState">${ fn:length(listState) }
</c:set>

<c:set var="numWorkFlow">${ fn:length(listWorkFlow) }
</c:set>

<c:set var="numUserRol">${ fn:length(listUserRol) }
</c:set>


<div class="info_project">
		<h1><bean:message key="inform.resum.title" bundle="Inform"/></h1>
		<table id="project" border="0" width="80%" cellspacing="0" cellpadding="2" style="clear: both;">
			<tr>
				<td width="200">
					<b><bean:message key="project.form.prefix_code" bundle="Project"/>:</b>
				</td>
				<td>
					${project.prefix_code}
				</td>
			</tr>
			<tr>
				<td width="200">
					<b><bean:message key="project.form.name" bundle="Project"/>:</b>
				</td>
				<td>
					${project.name}
				</td>
			</tr>
			<tr>
				<td width="200">
					<b><bean:message key="project.form.descript" bundle="Project"/>:</b>
				</td>
				<td>
					${project.descript}
				</td>
			</tr>
			<tr>
				<td width="200">
					<b><bean:message key="project.form.fecopen" bundle="Project"/>:</b>
				</td>
				<td>
					${project.fecopen}
				</td>
			</tr>
			<tr>
				<td width="200">
					<b><bean:message key="project.form.fecclose" bundle="Project"/>:</b>
				</td>
				<td>
					${project.fecclose}
				</td>
			</tr>
		</table>
</div>

<div class="widget">
	<div class="title">
		<h1>
			<bean:message key="project.rols.title" bundle="Project"/>
		</h1>
	</div>
	<div class="content">
		<table  id="data" border="0" width="50%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left">
					<bean:message key="project.listRol.table.row.1.th.1" bundle="Project"/>
				</th>
				<th colspan="1" class="right">
					<bean:message key="project.listRol.table.row.1.th.2" bundle="Project"/>: <c:out value="${numRol}"/>
				</th>
			</tr>
			<tr>
				<td colspan="2" class="subtitle left br"><bean:message key="project.listRol.table.row.2.th.1" bundle="Project"/></td>
			</tr>
			<c:forEach var="rol" items="${listRol}">
				<tr>
					<td colspan="2"  class="left br">${ rol.name }</td>
				</tr>
			</c:forEach>
		</table>			
	</div>
	<c:if test="${ numRol eq 0  }">
		<div class="errors-form" style="margin-top: 20px;"><bean:message key="project.listRol.empty" bundle="Project"/></div>
	</c:if>
	
	<div class="title">
		<h1>
			<bean:message key="project.states.title" bundle="Project"/>
		</h1>
	</div>
	<div class="content">
		<table  id="data" border="0" width="50%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left">
					<bean:message key="project.listState.table.row.1.th.1" bundle="Project"/>
				</th>
				<th colspan="1" class="right">
					<bean:message key="project.listState.table.row.1.th.2" bundle="Project"/>: <c:out value="${numState}"/>
				</th>
			</tr>
			<tr>
				<td colspan="2" class="subtitle left br"><bean:message key="project.listState.table.row.2.th.1" bundle="Project"/></td>
			</tr>
			<c:forEach var="state" items="${listState}">
				<tr>
					<td colspan="2"  class="left br">${ state.name }</td>
				</tr>
			</c:forEach>
		</table>			
	</div>
	<c:if test="${ numState eq 0  }">
		<div class="errors-form" style="margin-top: 20px;"><bean:message key="project.listState.empty" bundle="Project"/></div>
	</c:if>
	
	<div class="title">
		<h1>
			<bean:message key="project.workflows.title" bundle="Project"/>
		</h1>
	</div>
	<div class="content">
		<table  id="data" border="0" width="50%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left">
					<bean:message key="project.listWorkFlow.table.row.1.th.1" bundle="Project"/>
				</th>
				<th colspan="2" class="right">
					<bean:message key="project.listWorkFlow.table.row.1.th.2" bundle="Project"/>: <c:out value="${numWorkFlow}"/>
				</th>
			</tr>
			<tr>
				<td class="subtitle left br"><bean:message key="project.listWorkFlow.table.row.2.th.1" bundle="Project"/></td>
				<td class="subtitle left br"><bean:message key="project.listWorkFlow.table.row.2.th.2" bundle="Project"/></td>
				<td class="subtitle br">     <bean:message key="project.listWorkFlow.table.row.2.th.3" bundle="Project"/></td>
			</tr>
			<c:forEach var="workflow" items="${listWorkFlow}">
				<tr>
					<td class="left br">${ workflow.nameRol}</td>
					<td class="left br">${ workflow.nameState}</td>
					<td>
						<table>
							<c:forEach var="workflowS" items="${workflow.idstate_next}">
								<tr>
									<td>${ workflowS.name}</td>
								</tr>
							</c:forEach>
						</table>
					</td>
				</tr>
			</c:forEach>
		</table>			
	</div>
	<c:if test="${ numWorkFlow eq 0  }">
		<div class="errors-form" style="margin-top: 20px;"><bean:message key="project.listWorkFlow.empty" bundle="Project"/></div>
	</c:if>
		
	<div class="title">
		<h1>
			<bean:message key="project.userrols.title" bundle="Project"/>
		</h1>
	</div>
	<div class="content">
		<table  id="data" border="0" width="50%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left">
					<bean:message key="project.listUserRol.table.row.1.th.1" bundle="Project"/>
				</th>
				<th colspan="2" class="right">
					<bean:message key="project.listUserRol.table.row.1.th.2" bundle="Project"/>: <c:out value="${numUserRol}"/>
				</th>
			</tr>
			<tr>
				<td class="subtitle left br"><bean:message key="project.listUserRol.table.row.2.th.1" bundle="Project"/></td>
				<td class="subtitle left"><bean:message key="project.listUserRol.table.row.2.th.2" bundle="Project"/></td>
			</tr>
			<c:forEach var="userrol" items="${listUserRol}">
				<tr>
					<td class="left br">${ userrol.nameUser }</td>
					<td class="left br">${ userrol.nameRol }</td>
				</tr>
			</c:forEach>
		</table>			
	</div>
	<c:if test="${ numUserRol eq 0  }">
		<div class="errors-form" style="margin-top: 20px;"><bean:message key="project.listUserRol.empty" bundle="Project"/></div>
	</c:if>
	
	
</div>