<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<%-- AREA DE TRABAJO DEL ADMINISTRADOR  --%>
<c:if test="${ userInfo.type eq 'Administrador' }">
	<div class="box rc" style="overflow: auto; text-align: center;">
		<h3 style="margin-bottom: 0;">
			<b><bean:message key="desktop.admin.title" bundle="Template"/>
			</b>
		</h3>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td width="33%" height="180" style="text-align: center !important; border-top: 0 !important; padding-top: 20px;">
				<a href="user.do?cmd=listUser"><img src="res/img/desktop/desktop_users.jpg"     width="150" height="150" alt="Gestin de Usuarios"/></a><br/>
			</td>
			<td width="33%" height="180" style="text-align: center !important; border-top: 0 !important; padding-top: 20px;">
				<a href="project.do?cmd=listProject"><img src="res/img/desktop/desktop_projects.jpg"     width="150" height="150" alt="Gestin de Proyectos"/></a><br/>
			</td>
			<td width="33%" height="180" style="text-align: center !important; border-top: 0 !important; padding-top: 20px;">
				<a href="config.do?cmd=listConfig"><img src="res/img/desktop/desktop_params.jpg" width="150" height="150" alt="Gestin de Parmetros"/></a><br/>
			</td>
		</tr>
		<tr>
			<td width="33%"  height="80" style="text-align: center !important; border-top: 0 !important; padding-bottom: 10px;">
				<a href="user.do?cmd=listUser"><img src="res/img/desktop/desktop_users_txt.jpg" width="128" height="40"  alt="Gestin de Usuarios"/></a><br/>
			</td>
			<td width="33%" height="80" style="text-align: center !important; border-top: 0 !important; padding-bottom: 10px;">
				<a href="project.do?cmd=listProject"><img src="res/img/desktop/desktop_projects_txt.jpg" width="128" height="40"  alt="Gestin de Proyectos"/></a><br/>
			</td>
			<td width="33%" height="80" style="text-align: center !important; border-top: 0 !important; padding-bottom: 10px;">
				<a href="config.do?cmd=listConfig"><img src="res/img/desktop/desktop_params_txt.jpg" width="128" height="40"  alt="Gestin de Parmetros"/></a><br/>
			</td>
		</tr>
		</table>
	</div>
</c:if>

<%-- AREA DE TRABAJO DEL USUARIO AVANZADO  --%>
<c:if test="${ userInfo.type eq 'Avanzado' }">
	<div class="box rc" style="overflow: auto; text-align: center;">
		<h3 style="margin-bottom: 0;">
			<b><bean:message key="desktop.advanced.title" bundle="Template"/>
			</b>
		</h3>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td width="33%" height="180" style="text-align: center !important; border-top: 0 !important; padding-top: 20px;">
				<img src="res/img/desktop/desktop_artefacts.jpg"     width="150" height="150" title="Gestin de Artefactos de un Proyecto" alt="Gestin de Artefactos de un Proyecto"/><br/>
			</td>
			<td width="33%" height="180" style="text-align: center !important; border-top: 0 !important; padding-top: 20px;">
				<img src="res/img/desktop/desktop_up.jpg"            width="150" height="150" title="Seguimiento de Proyectos" alt="Seguimiento de Proyectos"/><br/>
			</td>
			<td width="33%" height="180" style="text-align: center !important; border-top: 0 !important; padding-top: 20px;">
				<a href="inform.do?cmd=listInform"><img src="res/img/desktop/desktop_informs.jpg" width="150" height="150"  alt="Generacin de Informes"/></a><br/>
			</td>
		</tr>
		<tr>
			<td width="33%"  height="80" style="text-align: center !important; border-top: 0 !important; padding-bottom: 10px;">
				<img src="res/img/desktop/desktop_artefacts_txt.jpg" width="128" height="40"  title="Gestin de Artefactos de un Proyecto" alt="Gestin de Artefactos de un Proyecto"/><br/>
			</td>
			<td width="33%" height="80" style="text-align: center !important; border-top: 0 !important; padding-bottom: 10px;">
				<img src="res/img/desktop/desktop_up_txt.jpg"        width="128" height="40"  title="Seguimiento de Proyectos" alt="Seguimiento de Proyectos"/><br/>
			</td>
			<td width="33%" height="80" style="text-align: center !important; border-top: 0 !important; padding-bottom: 10px;">
				<a href="inform.do?cmd=listInform"><img src="res/img/desktop/desktop_informs_txt.jpg" width="128" height="40"  alt="Generacin de Informes"/></a><br/>
			</td>
		</tr>
		</table>
	</div>
</c:if>

<%-- AREA DE TRABAJO RESTO DE USUARIOS  --%>
<c:if test="${ !(userInfo.type eq 'Administrador') &&  !(userInfo.type eq 'Avanzado')}">
	<div class="box rc" style="overflow: auto; text-align: center;">
		<h3 style="margin-bottom: 0;">
			<b><bean:message key="desktop.normal.title" bundle="Template"/>
			</b>
		</h3>
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
			<td height="180" style="text-align: center !important; border-top: 0 !important; padding-top: 20px;">
				<img src="res/img/desktop/desktop_up.jpg"            width="150" height="150" title="Seguimiento de Proyectos" alt="Seguimiento de Proyectos"/><br/>
			</td>
		</tr>
		<tr>
			<td height="180" style="text-align: center !important; border-top: 0 !important; padding-bottom: 10px;">
				<img src="res/img/desktop/desktop_up_txt.jpg"        width="128" height="40"  title="Seguimiento de Proyectos" alt="Seguimiento de Proyectos"/><br/>
			</td>
		</tr>
		</table>
	</div>
</c:if>