<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>


<c:if test="${ fail != null  }">
	<div class="errors-form">
		<bean:message key="${fail}" bundle="Errors"/>
	</div>	
</c:if>

<c:set var="numConfigEmail">${ fn:length(listConfigEmail) }
</c:set>

<c:set var="numConfigUser">${ fn:length(listConfigUser) }
</c:set>

<c:set var="numConfigProy">${ fn:length(listConfigProy) }
</c:set>

<div class="widget">
	<div class="title">
		<h1>
			<bean:message key="config.title" bundle="Config"/>
		</h1>
	</div>
	<h2><b><bean:message key="config.emails.title" bundle="Config"/></b></h2>
	<div class="content">
		<table  id="data" border="0" width="100%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left">
					<bean:message key="config.listConfig.table.row.1.th.1" bundle="Config"/>
				</th>
				<th colspan="2" class="right">
					<bean:message key="config.listConfig.table.row.1.th.2" bundle="Config"/>: <c:out value="${numConfigEmail}"/>
				</th>
			</tr>
			<tr>
				<td class="subtitle left br" width="30%"><bean:message key="config.listConfig.table.row.2.th.1" bundle="Config"/></td>
				<td class="subtitle left br" width="50%"><bean:message key="config.listConfig.table.row.2.th.2" bundle="Config"/></td>
				<td class="subtitle" width="20%">        <bean:message key="config.listConfig.table.row.2.th.3" bundle="Config"/></td>
			</tr>	
			<c:forEach var="config" items="${listConfigEmail}">
				<tr onmouseover="$(this).addClass('over');" 
					onmouseout="$(this).removeClass('over');">
					<td class="left br" width="30%">${ config.name }</td>
					<td class="left br" width="50%">${ config.value }</td>
					<td class = "" width="20%">
						<a class="modify" href="config.do?cmd=getConfigModif&id=${config.id}">
							<bean:message key="config.action.modify" bundle="Config"/>
						</a>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>
	<h2><b><bean:message key="config.users.title" bundle="Config"/></b></h2>
	<div class="content">
		<table  id="data" border="0" width="100%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left">
					<bean:message key="config.listConfig.table.row.1.th.1" bundle="Config"/>
				</th>
				<th colspan="2" class="right">
					<bean:message key="config.listConfig.table.row.1.th.2" bundle="Config"/>: <c:out value="${numConfigUser}"/>
				</th>
			</tr>
			<tr>
				<td class="subtitle left br" width="30%"><bean:message key="config.listConfig.table.row.2.th.1" bundle="Config"/></td>
				<td class="subtitle left br" width="50%"><bean:message key="config.listConfig.table.row.2.th.2" bundle="Config"/></td>
				<td class="subtitle" width="20%">        <bean:message key="config.listConfig.table.row.2.th.3" bundle="Config"/></td>
			</tr>	
			<c:forEach var="config" items="${listConfigUser}">
				<tr onmouseover="$(this).addClass('over');" 
					onmouseout="$(this).removeClass('over');">
					<td class="left br" width="30%">${ config.name }</td>
					<td class="left br" width="50%">${ config.value }</td>
					<td class = "" width="20%">
						<a class="modify" href="config.do?cmd=getConfigModif&id=${config.id}">
							<bean:message key="config.action.modify" bundle="Config"/>
						</a>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>
	<h2><b><bean:message key="config.projects.title" bundle="Config"/></b></h2>
	<div class="content">
		<table  id="data" border="0" width="100%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left" >
					<bean:message key="config.listConfig.table.row.1.th.1" bundle="Config"/>
				</th>
				<th colspan="2" class="right">
					<bean:message key="config.listConfig.table.row.1.th.2" bundle="Config"/>: <c:out value="${numConfigProy}"/>
				</th>
			</tr>
			<tr>
				<td class="subtitle left br" width="30%"><bean:message key="config.listConfig.table.row.2.th.1" bundle="Config"/></td>
				<td class="subtitle left br" width="50%"><bean:message key="config.listConfig.table.row.2.th.2" bundle="Config"/></td>
				<td class="subtitle" width="20%">        <bean:message key="config.listConfig.table.row.2.th.3" bundle="Config"/></td>
			</tr>	
			<c:forEach var="config" items="${listConfigProy}">
				<tr onmouseover="$(this).addClass('over');" 
					onmouseout="$(this).removeClass('over');">
					<td class="left br" width="30%">${ config.name }</td>
					<td class=" left br" width="50%">${ config.value }</td>
					<td class = "" width="20%">
						<a class="modify" href="config.do?cmd=getConfigModif&id=${config.id}">
							<bean:message key="config.action.modify" bundle="Config"/>
						</a>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>
</div>