<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<script type="text/javascript">
	function listProject()
	{
		window.location.href = 'project.do?cmd=listProject';
	}

</script>

<table border="0" width="100%" cellspacing="0" cellpadding="5" style="clear: both;">
<tr>
	<th width="200">
		<label for="prefix_code">
			<bean:message key="project.form.prefix_code" bundle="Project"/>
		</label>:
	</th>
	<c:choose>
		<c:when test="${ consult == true || delete == true }">
			<td><b>${ AFProject.prefix_code }</b></td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td>
				<html:text property="prefix_code" styleId="prefix_code" styleClass="text" size="10" maxlength="10" style="width:350px;"/>
				<div class="errors">
					<html:errors property="prefix_code" bundle="Errors"/>
				</div>
			</td>
			<td class="explain" width="350">
				<bean:message key="project.form.prefix_code.explain" bundle="Project"/>
			</td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200">
		<label for="name">
			<bean:message key="project.form.name" bundle="Project"/>
		</label>:
	</th>
	<c:choose>
		<c:when test="${consult == true || delete == true}">
			<td><b>${ AFProject.name }</b></td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td>
				<html:text property="name" styleId="name" styleClass="text" size="20" maxlength="50" style="width:350px;"/>
				<div class="errors">
					<html:errors property="name" bundle="Errors"/>
				</div>
			</td>
			<td class="explain" width="350">
				<bean:message key="project.form.name.explain" bundle="Project"/>
			</td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200">
		<label for="descript">
			<bean:message key="project.form.descript" bundle="Project"/>
		</label>:
	</th>
	<c:choose>
		<c:when test="${consult == true || delete == true}">
			<td width="80%">
				<b>${ AFProject.descript }</b>
			</td>
			<td class="explain" width="350">&nbsp;</td>
		</c:when>
		<c:otherwise>
			<td>
				<html:textarea property="descript" styleId="descript" styleClass="textarea" cols="25" rows="10"  style="width:350px;"/>
				<div class="errors">
					<html:errors property="descript" bundle="Errors"/>
				</div>
			</td>
			<td class="explain" width="350">
				<bean:message key="project.form.descript.explain" bundle="Project"/>
			</td>
		</c:otherwise>
	</c:choose>
</tr>
<tr>
	<th width="200" class="left">
		<label for="fecopen">
			<bean:message key="project.form.fecopen" bundle="Project"/>
		</label>
	</th>
	<c:choose>
		<c:when test="${consult == true || delete == true}">
			<td width="70%">
				<b>${ AFProject.fecopenday } - ${ AFProject.fecopenmonth } - ${ AFProject.fecopenyear }</b>
			</td>
		</c:when>
		<c:otherwise>
		<td>
			<html:text property="fecopenday" styleId="fecopenday" styleClass="text" size="4" maxlength="2" style="width: 30px;"/>
			<html:select property="fecopenmonth" styleId="fecopenmonth">
				<option value="_nil_">
					<bean:message key="project.create.select.default" bundle="Project"/>
				</option>
				<c:forEach varStatus="ind" begin="1" end="12">
					<c:set var="month_clave">date.month.${ ind.index }</c:set>
					<c:choose>
						<c:when test="${ind.index == AFProject.fecopenmonth}">
							<option selected="selected" value="${ind.index }">
								<bean:message name="month_clave" bundle="Template"/>
							</option>
						</c:when>
						<c:otherwise>
							<option value="${ind.index }">
								<bean:message name="month_clave" bundle="Template"/>
							</option>
						</c:otherwise>
					</c:choose>	
				</c:forEach>
			</html:select>
			<html:text property="fecopenyear" styleId="fecopenyear" styleClass="text" size="6" maxlength="4" style="width: 60px;"/>
			<div class="errors">
				<html:errors property="fecopen" bundle="Errors"/>
			</div>
		</td>
		<td class="explain" width="400">
			<bean:message key="project.form.fecopen.explain" bundle="Project"/>
		</td>
		</c:otherwise>
	</c:choose>	
</tr>

<tr>
	<th width="200" class="left">
		<label for="fecclose">
			<bean:message key="project.form.fecclose" bundle="Project"/>
		</label>
	</th>
	<c:choose>
		<c:when test="${consult == true || delete == true}">
			<td width="70%">
				<b>${ AFProject.feccloseday } - ${ AFProject.fecclosemonth } - ${ AFProject.feccloseyear }</b>
			</td>
		</c:when>
		<c:otherwise>
		<td>
			<html:text property="feccloseday" styleId="feccloseday" styleClass="text" size="4" maxlength="2" style="width: 30px;"/>
			<html:select property="fecclosemonth" styleId="fecclosemonth">
				<option value="_nil_">
					<bean:message key="project.create.select.default" bundle="Project"/>
				</option>
				<c:forEach varStatus="ind" begin="1" end="12">
					<c:set var="month_clave">date.month.${ ind.index }</c:set>
					<c:choose>
						<c:when test="${ind.index == AFProject.fecclosemonth}">
							<option selected="selected" value="${ind.index }">
								<bean:message name="month_clave" bundle="Template"/>
							</option>
						</c:when>
						<c:otherwise>
							<option value="${ind.index }">
								<bean:message name="month_clave" bundle="Template"/>
							</option>
						</c:otherwise>
					</c:choose>	
				</c:forEach>
			</html:select>
			<html:text property="feccloseyear" styleId="feccloseyear" styleClass="text" size="6" maxlength="4" style="width: 60px;"/>
			<div class="errors">
				<html:errors property="fecclose" bundle="Errors"/>
			</div>
		</td>
		<td class="explain" width="400">
			<bean:message key="project.form.fecclose.explain" bundle="Project"/>
		</td>
		</c:otherwise>
	</c:choose>	
</tr>



<c:choose>
	<c:when test="${consult != true && delete != true && modify != true}">
		<tr>
			<th width="200">
				<label for="idP"><bean:message key="project.form.idP" bundle="Project"/></label>
			</th>
			<td>
				<html:select property="idP" styleId="idProject">
					<option value="_nil_"><bean:message key="project.create.select.default" bundle="Project"/></option>
					<c:forEach items="${ listProject }" var="lproject">
						<option value="${ lproject.id }"><c:out value="${ lproject.name }" escapeXml="false"/></option>
					</c:forEach> 
				</html:select>
			</td>
			<td class="explain" width="350">&nbsp;</td>
		</tr>
	</c:when>
</c:choose>
</table>

<table border="0" width="100%" cellspacing="0" cellpadding="5">
<tr>
	<th class="no-bdr" width="200">&nbsp;</th>
	<td class="no-bdr buttons" colspan="2">
		<input type="submit" class="button first" value="<bean:message name="submit" bundle="Project"/>"/>
		<c:if test="${ consult != true  }">
			<input type="button" class="button" value="<bean:message key="project.consult.submit" bundle="Project"/>" style="margin-left: 5px;" 
			   onClick="listProject()"/>
		</c:if>
	</td>
</tr>
</table>