<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<script type="text/javascript">
	function deleteUserRolProject(idProject, idUserRol)
	{
		if (confirm('<bean:message key="userrol.delete.confirm" bundle="Project"/>'))
		{
			window.location.href = 'projectUserRol.do?cmd=deleteUserRolProject&idproject=' + idProject + '&id=' + idUserRol;
		}
	}
</script>

<c:choose>
	<c:when test="${ sucess == 'deleteUserRolProject' }">
		<div class="ok-form">
			<bean:message key="userrol.delete.confirm.ok" bundle="Project"/>
		</div>
	</c:when>
</c:choose>

<c:if test="${ fail != null  }">
	<div class="errors-form">
		<bean:message key="${fail}" bundle="Errors"/>
	</div>	
</c:if>

<c:set var="numUserRol">${ fn:length(listUserRol) }
</c:set>

<div class="info_project">
		<h1></h1>
		<table id="project" border="0" width="80%" cellspacing="0" cellpadding="2" style="clear: both;">
			<tr>
				<td width="200">
					<b><bean:message key="project.form.prefix_code" bundle="Project"/>:</b>
				</td>
				<td>
					${project.prefix_code}
				</td>
			</tr>
			<tr>
				<td width="200">
					<b><bean:message key="project.form.name" bundle="Project"/>:</b>
				</td>
				<td>
					${project.name}
				</td>
			</tr>
		</table>
</div>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="projectUserRol.do?cmd=createUserRolProject&id=${project.id}"  class="add">
				<bean:message key="project.createUserRolProject" bundle="Project"/>
			</a> 
		</div>
		<h1>
			<bean:message key="project.userrols.title" bundle="Project"/>
		</h1>
	</div>
	<div class="content">
		<table id="distribuir" width="100%">
			<tr>
			<td>
			<table  id="data" border="0" width="80%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left">
					<bean:message key="project.listUserRol.table.row.1.th.1" bundle="Project"/>
				</th>
				<th colspan="2" class="right">
					<bean:message key="project.listUserRol.table.row.1.th.2" bundle="Project"/>: <c:out value="${numUserRol}"/>
				</th>
			</tr>
			<tr>
				<td class="subtitle left br"><bean:message key="project.listUserRol.table.row.2.th.1" bundle="Project"/></td>
				<td class="subtitle left br"><bean:message key="project.listUserRol.table.row.2.th.2" bundle="Project"/></td>
				<td class="subtitle">        <bean:message key="project.listUserRol.table.row.2.th.3" bundle="Project"/></td>
			</tr>
			<c:forEach var="userrol" items="${listUserRol}">
			<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
				<td class="left br">${ userrol.nameUser }</td>
				<td class="left br">${ userrol.nameRol }</td>
				<td style="padding-top: 7px;">
					<nobr>
					<a href="javascript: deleteUserRolProject(${userrol.idproject} , ${userrol.id})" class="delete">
						<bean:message key="userrol.action.delete" bundle="Project"/>
					</a>
					</nobr>
				</td>
			</tr>
			</c:forEach>
			</table>			
			</td>
			<td class="left">
					<div><b><bean:message key="project.listProject.table.row.2.th.3" bundle="Project"/></b></div>
					<div>
					</br>
					<a class="roles" href="projectUserRol.do?cmd=listRolProject&id=${ project.id}">
						<bean:message key="project.action.listRol" bundle="Project"/>
					</a></div>
					<div>
					</br>
					<a class="states" href="projectUserRol.do?cmd=listStateProject&id=${ project.id}">
						<bean:message key="project.action.listState" bundle="Project"/>
					</a></div>
					<div>
					</br>
					<a class="workflows" href="projectUserRol.do?cmd=listWorkFlowProject&id=${ project.id}">
						<bean:message key="project.action.listWorkFLow" bundle="Project"/>
					</a></div>
					<div>
					</br>
					<a class="users" >
						<bean:message key="project.action.listUserRol" bundle="Project"/>
					</a></div>   
			</td>
			</tr>
		</table>
		
	</div>
	<c:if test="${ numUserRol eq 0  }">
		<div class="errors-form" style="margin-top: 20px;"><bean:message key="project.listUserRol.empty" bundle="Project"/></div>
	</c:if>
</div>