<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<script type="text/javascript">
	function deleteWorkFlowProject(idproject, idworkflow)
	{
		if (confirm('<bean:message key="workflow.delete.confirm" bundle="Project"/>'))
		{
			window.location.href = 'projectWorkFlow.do?cmd=deleteWorkFlowProject&idproject=' + idproject + '&id=' + idworkflow;
		}
	}
</script>

<c:choose>
	<c:when test="${ sucess == 'deleteWorkFlowProject' }">
		<div class="ok-form">
			<bean:message key="workflow.delete.confirm.ok" bundle="Project"/>
		</div>
	</c:when>
</c:choose>

<c:if test="${ fail != null  }">
	<div class="errors-form">
		<bean:message key="${fail}" bundle="Errors"/>
	</div>	
</c:if>

<c:set var="numWorkFlow">${ fn:length(listWorkFlow) }
</c:set>

<div class="info_project">
		<h1></h1>
		<table id="project" border="0" width="80%" cellspacing="0" cellpadding="2" style="clear: both;">
			<tr>
				<td width="200">
					<b><bean:message key="project.form.prefix_code" bundle="Project"/>:</b>
				</td>
				<td>
					${project.prefix_code}
				</td>
			</tr>
			<tr>
				<td width="200">
					<b><bean:message key="project.form.name" bundle="Project"/>:</b>
				</td>
				<td>
					${project.name}
				</td>
			</tr>
		</table>
</div>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="projectWorkFlow.do?cmd=createWorkFlowProject&id=${project.id}"  class="add">
				<bean:message key="project.createWorkFlowProject" bundle="Project"/>
			</a> 
		</div>
		<h1>
			<bean:message key="project.workflows.title" bundle="Project"/>
		</h1>
	</div>
	<div class="content">
		<table id="distribuir" width="100%">
			<tr>
			<td>
			<table  id="data" border="0" width="80%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left">
					<bean:message key="project.listWorkFlow.table.row.1.th.1" bundle="Project"/>
				</th>
				<th colspan="3" class="right">
					<bean:message key="project.listWorkFlow.table.row.1.th.2" bundle="Project"/>: <c:out value="${numWorkFlow}"/>
				</th>
			</tr>
			<tr>
				<td class="subtitle left br"><bean:message key="project.listWorkFlow.table.row.2.th.1" bundle="Project"/></td>
				<td class="subtitle left br"><bean:message key="project.listWorkFlow.table.row.2.th.2" bundle="Project"/></td>
				<td class="subtitle br"><bean:message key="project.listWorkFlow.table.row.2.th.3" bundle="Project"/></td>
				<td class="subtitle">        <bean:message key="project.listWorkFlow.table.row.2.th.4" bundle="Project"/></td>
			</tr>
			<c:forEach var="workflow" items="${listWorkFlow}">
			<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
				<td class="left br">${ workflow.nameRol}</td>
				<td class="left br">${ workflow.nameState}</td>
				<td style="padding-top: 7px;">
					<nobr>
					<a class="states" href="projectWorkFlow.do?cmd=listWorkFlowStateProject&idproject=${workflow.idproject}&idworkflow=${workflow.id}">
						<bean:message key="workflow.action.states" bundle="Project"/>
					</a>
					</nobr>
				</td>
				<td style="padding-top: 7px;">
					<nobr>
					<a href="javascript: deleteWorkFlowProject(${workflow.idproject} , ${workflow.id})" class="delete">
						<bean:message key="workflow.action.delete" bundle="Project"/>
					</a>
					</nobr>
				</td>
			</tr>
			</c:forEach>
			</table>			
			</td>
			<td class="left">
				<div><b><bean:message key="project.listProject.table.row.2.th.3" bundle="Project"/></b></div>
				<div>
					</br>
					<a class="roles" href="projectWorkFlow.do?cmd=listRolProject&id=${ project.id}">
						<bean:message key="project.action.listRol" bundle="Project"/>
					</a></div>
					<div>
					</br>
					<a class="states" href="projectWorkFlow.do?cmd=listStateProject&id=${ project.id}">
						<bean:message key="project.action.listState" bundle="Project"/>
					</a></div>
					<div>
					</br>
					<a class="workflows" >
						<bean:message key="project.action.listWorkFLow" bundle="Project"/>
					</a></div>
				<div>
					</br>
					<a class="users" href="projectWorkFlow.do?cmd=listUserRolProject&id=${ project.id}">
						<bean:message key="project.action.listUserRol" bundle="Project"/>
					</a></div>  
			</td>
			</tr>
		</table>
	</div>
	<c:if test="${ numWorkFlow eq 0  }">
		<div class="errors-form" style="margin-top: 20px;"><bean:message key="project.listWorkFlow.empty" bundle="Project"/></div>
	</c:if>
</div>