<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<script type="text/javascript">
	function deleteWorkFlowStateProject(idproject,idworkflow,idState)
	{
		if (confirm('<bean:message key="workflow.state.delete.confirm" bundle="Project"/>'))
		{
			window.location.href = 'projectWorkFlow.do?cmd=deleteWorkFlowStateProject&idproject='+ idproject + '&idworkflow=' + idworkflow  + '&idstate=' + idState;
		}
	}
</script>

<c:choose>
	<c:when test="${ sucess == 'deleteWorkFlowStateProject' }">
		<div class="ok-form">
			<bean:message key="workflow.state.delete.confirm.ok" bundle="Project"/>
		</div>
	</c:when>
</c:choose>

<c:if test="${ fail != null  }">
	<div class="errors-form">
		<bean:message key="${fail}" bundle="Errors"/>
	</div>	
</c:if>

<c:set var="numState">${ fn:length(listState) }
</c:set>

<div class="info_project">
		<h1></h1>
		<table id="project" border="0" width="80%" cellspacing="0" cellpadding="2" style="clear: both;">
			<tr>
				<td width="200">
					<b><bean:message key="project.form.prefix_code" bundle="Project"/>:</b>
				</td>
				<td>
					${project.prefix_code}
				</td>
			</tr>
			<tr>
				<td width="200">
					<b><bean:message key="project.form.name" bundle="Project"/>:</b>
				</td>
				<td>
					${project.name}
				</td>
			</tr>
		</table>
</div>


<div class="info_workflow">
		<h1></h1>
		<table id="workflow" border="0" width="80%" cellspacing="0" cellpadding="2" style="clear: both;">
			<tr>
				<td width="200">
					<b><bean:message key="workflow.form.nameRol" bundle="Project"/>:</b>
				</td>
				<td>
					${workflow.nameRol}
				</td>
			</tr>
			<tr>
				<td width="200">
					<b><bean:message key="workflow.form.nameState" bundle="Project"/>:</b>
				</td>
				<td>
					${workflow.nameState}
				</td>
			</tr>
		</table>
</div>

<div class="widget">
	<div class="title">
		<div class="links">
			<a href="projectWorkFlow.do?cmd=createWorkFlowStateProject&idproject=${project.id}&id=${workflow.id}"  class="add">
				<bean:message key="project.createWorkFlowStateProject" bundle="Project"/>
			</a> 
		</div>
		<h1>
			<bean:message key="project.states.title" bundle="Project"/>
		</h1>
	</div>
	<div class="content">
		<table  id="data" border="0" width="80%" cellspacing="0" cellpadding="5">
			<tr>
				<th colspan="1" class="left">
					<bean:message key="project.listState.table.row.1.th.1" bundle="Project"/>
				</th>
				<th colspan="1" class="right">
					<bean:message key="project.listState.table.row.1.th.2" bundle="Project"/>: <c:out value="${numState}"/>
				</th>
			</tr>
			<tr>
				<td class="subtitle left br"><bean:message key="project.listState.table.row.2.th.1" bundle="Project"/></td>
				<td class="subtitle">        <bean:message key="project.listState.table.row.2.th.2" bundle="Project"/></td>
			</tr>
			<c:forEach var="state" items="${listState}">
			<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
				<td class="left br">${ state.name }</td>
				<td style="padding-top: 7px;">
					<nobr>
					<a href="javascript: deleteWorkFlowStateProject(${workflow.idproject} ,${workflow.id} , ${state.id})" class="delete">
						<bean:message key="state.action.delete" bundle="Project"/>
					</a>
					</nobr>
				</td>
			</tr>
			</c:forEach>
		</table>			
	</div>
	<c:if test="${ numState eq 0  }">
		<div class="errors-form" style="margin-top: 20px;"><bean:message key="project.listWorkFlowState.empty" bundle="Project"/></div>
	</c:if>
</div>