<%@ include file="/WEB-INF/pages/inc/TagLibs.jsp" %>

<c:if test="${ fail != null  }">
	<div class="errors-form">
		<bean:message key="${fail}" bundle="Errors"/>
	</div>	
</c:if>

<c:set var="numInform">${ fn:length(listInform) }
</c:set>

<div class="widget">
	<div class="title">
		<h1>
			<bean:message key="inform.informs.title" bundle="Inform"/>
		</h1>
	</div>
	
	<div class="content">
		<table  id="data" border="0" width="100%" cellspacing="0" cellpadding="5">
		<tr>
			<th colspan="1" class="left">
				<bean:message key="inform.listInform.table.row.1.th.1" bundle="Inform"/>
			</th>
			<th colspan="2" class="right">
				<bean:message key="inform.listInform.table.row.1.th.2" bundle="Inform"/>: <c:out value="${numInform}"/>
			</th>
		</tr>
		<tr>
			<td class="subtitle left br"><bean:message key="inform.listInform.table.row.2.th.1" bundle="Inform"/></td>
			<td class="subtitle left br"><bean:message key="inform.listInform.table.row.2.th.2" bundle="Inform"/></td>
			<td class="subtitle">        <bean:message key="inform.listInform.table.row.2.th.3" bundle="Inform"/></td>
		</tr>
		<c:forEach var="inform" items="${listInform}">
			<tr onmouseover="$(this).addClass('over');" onmouseout="$(this).removeClass('over');">
				<td class="left br">${ inform.name }</td>
				<td class="left br">${ inform.descript }</td>
				<td style="padding-top: 7px;">
					<nobr>
					<a class="generate_inform" href="inform.do?cmd=getInform&id=${inform.id}">
						<bean:message key="inform.action.generate" bundle="Inform"/>
					</a> 
					</nobr>
				</td>
			</tr>
		</c:forEach>
		</table>
	</div>
	<c:if test="${ numInform eq 0  }">
		<div class="errors-form" style="margin-top: 20px;"><bean:message key="inform.listInform.empty" bundle="Inform"/></div>
	</c:if>
</div>