package edu.uoc.integra.lib.utils;

public class Texts {

	
	/**
	 * <p>Est&eacute; metodo permite partir una cadena recibida por par&aacute;metro en una longitud determinada.</p>
	 * 
	 * @param param <code>String</code> que se quiere verificar.
	 * 
	 * @return <code>true</code> si se cumplen las condiciones en el <code>String</code> para que
	 * sea considerado como vac&iacute;o o <code>false</code> en caso contrario.
	 */
	public static String fromtext(String text, int len){
		
		String separator = "</br>";
		String workText = "";
		int lenText, posIni = 0;
		
		if (len <=0 || text == null || text.length() <= len) return text;
		
		lenText = text.length(); 
		
		while(lenText > len){
		
			workText = workText + text.substring(0, len) + separator;
			lenText = lenText - len;
			text    = text.substring(len);
		}
		
		workText = workText + text;
		
		return workText;
	}
	
	
	
}
